# Class AbstractAccessLogValve.SessionAttributeElement

java.lang.Object
org.apache.catalina.valves.AbstractAccessLogValve.SessionAttributeElement

All Implemented Interfaces:
  `AbstractAccessLogValve.AccessLogElement`

Enclosing class:
  `AbstractAccessLogValve`

protected static class AbstractAccessLogValve.SessionAttributeElement extends Object implements AbstractAccessLogValve.AccessLogElement
Write an attribute in the HttpSession - %{xxx}s.

## Constructor Summary

Constructors
Constructor
Description
`SessionAttributeElement(String attribute)`
Creates a new session attribute element.

## Method Summary

Modifier and Type
Method
Description
`void`
`addElement(CharArrayWriter buf, Date date, Request request, Response response, long time)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SessionAttributeElement

public SessionAttributeElement(String attribute)
Creates a new session attribute element.

Parameters:
  `attribute` - The attribute name

## Method Details

### addElement

public void addElement(CharArrayWriter buf, Date date, Request request, Response response, long time)

Specified by:
  `addElement` in interface `AbstractAccessLogValve.AccessLogElement`